#ifndef CDIALOG_H
#define CDIALOG_H

#include <stdio.h>
#include <allegro.h>


typedef struct
{
    char *string;
    int length;
    int iPrintTo;
} TDialog;

class CDialog
{
private:
    TDialog *dialogs;
    int iNumDialogs;

public:
    CDialog();
    ~CDialog();
    
    void load(char *filename);
    void print(int n, BITMAP *backgr,FONT *f, int x, int y, int width, int colour);
    void move(int n);
    void resetDialog(int n);
    int retDialogLength(int n);
    void moveToEnd(int n);
    
    void readString(char **into, FILE *from, char delim);
};

#endif // CDIALOG_H

